Tuesday, August 23, 2016

Cara mengatasi error genymotion di linux

Cara mengatasi error genymotion di linux

Tutorial ini merupakan solusi dari tutorial sebelumnnya Cara install genymotion di linux. Di tutorial ini saya akan membahas cara mengatasi error pada genymotion, kurang lebih seperti ini errornya

./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /home/kang-cahya/Documents/genymotion/libQt5Core.so.5)
./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /home/kang-cahya/Documents/genymotion/libQt5WebKit.so.5)
./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /home/kang-cahya/Documents/genymotion/libicui18n.so.52)
./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /home/kang-cahya/Documents/genymotion/libicuuc.so.52)
./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /home/kang-cahya/Documents/genymotion/libQt5Qml.so.5)

Untuk memperbaikinya sangat mudah. silahkan buka terminal, lalu jalankan peritah di bawah ini satu persatu :

$ LD_LIBRARY_PATH=/usr/local/lib64/:$LD_LIBRARY_PATH
$ export LD_LIBRARY_PATH
$ sudo add-apt-repository ppa:ubuntu-toolchain-r/test
$ sudo apt-get update
$ sudo apt-get install gcc-4.9 g++-4.9

Jika semua perintah sudah di jalankan, coba kamu jalankan perintah :
cd <genymotion installer="" path="">
./genymotion

Kalau semua berhasih, pada saat kamu menjalankan perintah ./genymotion maka akan langsung tampil tampilan seperti ini

Cara mengatasi error genymotion di linux

Mungkin cukup sekian tutorial kali ini, semoga bermanfaat.
Terima kasih.

Saya hanya seorang "newbie" yang baru bisa ngoding lohor kemarin.


EmoticonEmoticon